///////////////////////////////////////////////////////////////////////////////
///
/// @file Errors.h
///
/// This file contains specific error codes.
///
/// @author mperevedentsev
///
/// Copyright (c) 2005-2017, Parallels International GmbH
///
/// This file is part of Virtuozzo Core. Virtuozzo Core is free
/// software; you can redistribute it and/or modify it under the terms
/// of the GNU General Public License as published by the Free Software
/// Foundation; either version 2 of the License, or (at your option) any
/// later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program; if not, write to the Free Software
/// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
/// 02110-1301, USA.
///
/// Our contact details: Parallels International GmbH, Vordergasse 59, 8200
/// Schaffhausen, Switzerland.
///
///////////////////////////////////////////////////////////////////////////////

#ifndef ERRORS_H
#define ERRORS_H

enum {
	ERR_NO_PARTITIONS = 1,
	ERR_UNSUPPORTED_PARTITION = 2,
	ERR_UNSUPPORTED_FS = 3,
	ERR_PLOOP_NOT_MOUNTED = 4,
	ERR_NO_PARTITION_TABLE = 5,
};

#endif // ERRORS_H
